Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 

After the WLSE is upgraded from versions 2.11 or 2.12 to version 2.13, the "Database failed to respond correctly " error message appears

Core Issue

The patch for the Wireless LAN Solution Engine (WLSE) 2.11 is not applied before the upgrade of the WLSE, which leads to database corruption.

Resolution

In order to resolve this issue, first take a backup of the database then apply the WLSE 2.11 patch before the upgrade. Then, upgrade the image and apply the backup.

Refer to the Backing Up and Restoring Data section of Managing the Appliance for general  information on the WLSE backup and restore features.

The error message indicates that the database is corrupted, which potentially occurs during the process of the upgrade. This is why it is strongly recommended to have a backup before an upgrade. Once the database is corrupted, there is no way to clean it, just format it.

As a workaround, restart services and reload the WLSE. The database can potentially return. In order to do this, complete these steps:

  1. Go to the command line interface (CLI) of the WLSE, either through a Telnet or a Secure Shell (SSH) session, and issue the services stop command.

  2. Once this process completes, issue the services start command.

  3. Reload the WLSE.

If this doesnt  work you  will need to reinitialize the database in which case you may have to loose the data and start from the scratch. Do this using the reinitdb command

Note:These steps can be applied  independent of the versions you use.

In order to avoid this error message, refer to Cisco bug ID CSCsc95401, and install the Wireless LAN Solution Engine (WLSE) 2.x-CSCsc95401 path patch.

Cisco bug ID CSCsc95401 is added to this patch for these WLSE releases:

  • 2.7.1

  • 2.9

  • 2.9.1a

  • 2.11

  • 2.12

Note: In 2.7 or earlier, it is necessary to first upgrade to 2.7.1 in order to apply this patch. Also WLSE-2.x-CSCsc95401 does not require any other patch in order to install.

Complete these steps for the Patch Install Sequence:

  1. Login as the admin user though Telnet or SSH.

  2. Apply the WLSE-2.x-CSCsc95401 patch.


Generally an upgrade can be done through two methods. Recovery CD mehotd is self explanatory. Below section explains the options available in the Repository method.

How to install this upgrade with the use of a Microsoft Windows 2000 machine

Note: This is the recommended method.

If redundancy between two WLSEs is enabled, disable redundancy from the active WLSE first. Use the WLSE show redundancy and redundancy off commands. Apply the patch to both WLSEs. After the patch install completes on both, issue the redundancy on command in order to enable redundancy on the original active WLSE.

Note: It is possible to notice that this release is not supported on the WLSE 1105 platform erroneous message. This message can be safely ignored for this patch release as it supports all the WLSE platforms.

  1. Download the WLSE-2.x-CSCsc95401.zip file.

  2. Extract the file to any empty directory, for example, [drive1:]\ [path], on the Microsoft Windows NT, Windows 2000 or Windows XP server. This server functions as the Repository.

  3. Open a command window and run subst [drive2] [drive1]\ [path]. This virtual drive, [drive2], is removed after the Windows machine reboots. Check subst /? for more information.

  4. Use Windows Explorer or My Computer in order to open [drive2].

  5. If the drive opens and Autoplay is enabled, autorun.bat runs automatically. If not, double-click autorun.bat.

  6. A browser displays Appliance Update. Minimize this window.

  7. Login to the WLSE as the admin user through Telnet or SSH.


    Note: Telnet is disabled by default.

  8. Issue the install command in order to enter the CLI install mode. In the install mode, issue the configure url subcommand in order to configure the repository server:


    install: configure url http://[ipaddress]:9851/


    The IP address of the Windows server is [ipaddress].

  9. Issue the install update command in order to install the patch:


    install: update WLSE-2.x-CSCsc95401


    It can possibly take 10-15 minutes for the patch installation to complete. An optional alternative is to log into the WLSE GUI and choose Administration > Appliance > Software in order to confirm that the patch is installed.

How to install this upgrade with the use of the WLSE repository server

Note: If redundancy between two WLSEs is enabled, disable redundancy from the active WLSE first. Use the WLSE show redundancy and redundancy off commands. Apply the patch to both WLSEs. After the patch install completes on both, issue the redundancy on command in order to enable redundancy on the original active WLSE.

  1. Download the WLSE-2.x-CSCsc95401.zip upgrade zip file and the WLSE-2.x-CSCsc95401.info info file. Then, place the files in an FTP-accessible location.


    Note: Do not unzip the WLSE-2.x-CSCsc95401.zip file.

  2. Log into the WLSE as the admin user through Telnet or SSH. Use the repository command in order to configure the FTP host and pathname. The repository source is ftp://[hostname]/ [path] where [hostname] is the hostname of the remote FTP server and [path] is the complete directory path where the upgrade zip file and upgrade info file reside.

  3. Use the repository command in order to list the contents of the source. This command requires a valid username and password on the remote FTP server:


    repository list remote

  4. Add the upgrade image to the local repository. The command requires a valid username and password on the remote FTP server. This username and password are the same as in the previous command.


    repository add WLSE-2.x-CSCsc95401

  5. Issue the install CLI command. In the install mode, use the configure url subcommand in order to configure the repository server:


    install: configure url http://127.0.0.1:9851

  6. Use the update install command in order to install the upgrade:


    install: update WLSE-2.x-CSCsc95401


    It can possibly take 10-15 minutes for the patch installation to complete. An optional alternative is to log into the WLSE GUI and choose Administration > Appliance > Software in order to confirm that the patch is installed.

Note: The download of the zip file stops and stays in a not responding state for a long time when Scan compressed files is enabled in Download Scan. Cisco Systems has checked the zip file and its contents against viruses, so it is possible to turn off this property for the download.

Problem Type

Upgrade

Error message

Products

CiscoWorks Wireless LAN Solution Engine (WLSE)

802
Views
0
Helpful
0
Comments